# Simple JabberBot
#### Simple XMPP echo bot.

## Install and run
1. Rename **config_template.py** to **config.py** 
2. ```python -m venv env```(for Windows) or ```python3 -m venv env```(for Linux)
3. ```.\env\Scripts\activate``` or ```source env/bin/activate```
4. ```pip install -r requirements.txt```
5. ```python run.py```


## Running for local server

Use ```python3``` and ```pip3``` instead ```python``` and ```pip3```

## Testing
https://democonv.sharix-app.org/ - testing client

## Users recommended for testing
user: test@ej.sharix-app.org
user: test1@ej.sharix-app.org

## Useful commands for Ejabberctl while testing Bot

```
ejabberdctl register $username ej $password

ejabberdctl change-password User Host newPassword

ejabberdctl check_account user1 localhost

ejabberdctl unregister badlop3 localhost
ejabberdctl registered_users localhost
ejabberdctl help registered_users
```

# Create MUC room
```
ejabberdctl create_room room_name muc_service xmpp_domain
```

# Destroy MUC room
```
#ejabberdctl destroy_room room_name muc_service
```

# List unused MUC rooms
```
ejabberdctl rooms_unused_list xmpp_domain number_of_days
```

https://docs.ejabberd.im/admin/ejabberdctl/muc-admin/
